Bug 806593 - Anaconda does not fount udev lp device file
Anaconda does not fount udev lp device file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Linux
urgent Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F17-accepted/F17FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-03-25 03:39 EDT by Liang Suilong
Modified: 2012-05-04 09:05 EDT (History)
10 users (show)

See Also:
Fixed In Version: anaconda-17.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 09:05:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Comment (984.47 KB, text/plain)
2012-03-25 03:39 EDT, Liang Suilong
no flags Details

  None (edit)
Description Liang Suilong 2012-03-25 03:39:16 EDT
Created attachment 915430 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 1 Liang Suilong 2012-04-01 14:25:48 EDT
Today I downloaded Fedora 17 Beta RC2 x86_64. Anaconda still prints the same error. The bug appears again. 

I check cups. It is still cups-1.5.2-1.fc17.x86_64. Is it too old to occur the problem?
Comment 2 Adam Williamson 2012-04-01 21:23:49 EDT
What did you try exactly? Are you trying to configure the printer for some reason?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Adam Williamson 2012-04-02 14:43:57 EDT
OK, we figured this out: it's triggered by trying to do a live install with /usr as a separate partition. It doesn't happen unless you create a separate /usr partition. I've reproduced.

So I'd say this is clearly not a beta blocker as none of our criteria require separate /usr to work at Beta stage (and not many people try to do so). It's _arguably_ a final blocker per "The installer must be able to create and install to any workable partition layout using any file system offered in a default installer configuration, LVM, software, hardware or BIOS RAID, or combination of the above", but that's only if we consider a /usr partition to be a 'workable partition layout', which is arguable - see http://www.freedesktop.org/wiki/Software/systemd/separate-usr-is-broken .

I'd say it's Beta NTH though, especially given https://bugzilla.redhat.com/show_bug.cgi?id=804913 : it seems that there are many problems with trying to install with /usr as a separate partition and the sensible fix would simply be not to allow you to mount anything on /usr at install time, and that's what anaconda team is planning to do. I think it would make sense to take that change for Beta.

So I vote -1 blocker, +1 NTH. Other votes?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Tim Flink 2012-04-02 14:46:50 EDT
-1 blocker, +1 NTH makes sense to me

We're going to need to figure out whether this is a workable partition layout if it isn't fixed for beta, though.
Comment 5 Ben Williams 2012-04-02 14:55:38 EDT
agree

1 blocker, +1 NTH makes sense to me
Comment 6 Ben Williams 2012-04-02 14:56:51 EDT
 -1 blocker rather
Comment 7 Jóhann B. Guðmundsson 2012-04-02 14:58:16 EDT
-1 blocker, +1 NTH...
Comment 8 Tim Flink 2012-04-02 15:07:55 EDT
OK, that makes -4 blocker, +4 NTH

Rejecting as blocker, accepting as NTH for F17 beta
Comment 9 Liang Suilong 2012-04-03 01:20:57 EDT
(In reply to comment #3)
> OK, we figured this out: it's triggered by trying to do a live install with
> /usr as a separate partition. It doesn't happen unless you create a separate
> /usr partition. I've reproduced.
> 
> So I'd say this is clearly not a beta blocker as none of our criteria require
> separate /usr to work at Beta stage (and not many people try to do so). It's
> _arguably_ a final blocker per "The installer must be able to create and
> install to any workable partition layout using any file system offered in a
> default installer configuration, LVM, software, hardware or BIOS RAID, or
> combination of the above", but that's only if we consider a /usr partition to
> be a 'workable partition layout', which is arguable - see
> http://www.freedesktop.org/wiki/Software/systemd/separate-usr-is-broken .
> 
> I'd say it's Beta NTH though, especially given
> https://bugzilla.redhat.com/show_bug.cgi?id=804913 : it seems that there are
> many problems with trying to install with /usr as a separate partition and the
> sensible fix would simply be not to allow you to mount anything on /usr at
> install time, and that's what anaconda team is planning to do. I think it would
> make sense to take that change for Beta.
> 
> So I vote -1 blocker, +1 NTH. Other votes?
> 
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers

Thank you, Adam. I agree with you. It should be F17Beta-NTH Blocker
Comment 10 Kamil Páral 2012-04-12 08:18:30 EDT
Beta is out, moving to F17 Final NTH
Comment 11 Brian Lane 2012-04-18 13:09:02 EDT
This patch is in Beta, /usr is not allowed to be on another partition. Please retest if you can.
Comment 12 Adam Williamson 2012-05-04 09:05:06 EDT
I'm pretty sure I checked this in Beta validation and /usr wasn't in the list. Let's close it, we can re-open if I'm wrong.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.